org.fourthline.cling.model.types

## Class UnsignedIntegerTwoBytesDatatype

- java.lang.Object
- - org.fourthline.cling.model.types.AbstractDatatype<UnsignedIntegerTwoBytes>
  - - org.fourthline.cling.model.types.UnsignedIntegerTwoBytesDatatype

- All Implemented Interfaces:
    Datatype<UnsignedIntegerTwoBytes>

      public class UnsignedIntegerTwoBytesDatatype
      extends AbstractDatatype<UnsignedIntegerTwoBytes>

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.fourthline.cling.model.types.Datatype

      `Datatype.Builtin, Datatype.Default`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsignedIntegerTwoBytesDatatype()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UnsignedIntegerTwoBytes` | `valueOf(String s)` Transforms a string representation into a value of the supported type.

    - ### Methods inherited from class org.fourthline.cling.model.types.AbstractDatatype

      `getBuiltin, getDisplayString, getString, getValueType, isHandlingJavaType, isValid, setBuiltin, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsignedIntegerTwoBytesDatatype

          public UnsignedIntegerTwoBytesDatatype()

  - ### Method Detail

    - #### valueOf

          public UnsignedIntegerTwoBytes valueOf(String s)
                                          throws InvalidValueException

      Description copied from interface: `Datatype`
      Transforms a string representation into a value of the supported type.
      Specified by:
        `valueOf` in interface `Datatype<UnsignedIntegerTwoBytes>`
      Overrides:
        `valueOf` in class `AbstractDatatype<UnsignedIntegerTwoBytes>`
      Parameters:
        `s` - The string representation of a value.
      Returns:
        The converted value or `null` if the string was `null` or empty.
      Throws:
        `InvalidValueException` - If the string couldn't be parsed.

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.